//
// ListItem.swift
// Workouts
//
// Created by rzen on 7/13/25 at 10:42 AM.
//
// Copyright 2025 Rouslan Zenetl. All Rights Reserved.
//

import SwiftUI

struct ListItem: View {
    var systemName: String?
    var title: String?
    var text: String?
    var subtitle: String?
    var count: Int?

    var body: some View {
        HStack {
            if let systemName = systemName {
                Image(systemName: systemName)
            }
            VStack(alignment: .leading) {
                if let title = title {
                    Text("\(title)")
                        .font(.headline)
                    if let text = text {
                        Text("\(text)")
                            .font(.footnote)
                    }
                } else {
                    if let text = text {
                        Text("\(text)")
                    }
                }
                HStack(alignment: .bottom) {
                    if let subtitle = subtitle {
                        Text("\(subtitle)")
                            .font(.footnote)
                    }
                }
            }
            if let count = count {
                Spacer()
                Text("\(count)")
                    .font(.caption)
                    .foregroundColor(.gray)
            }
        }
        .frame(maxWidth: .infinity, alignment: .leading)
        .contentShape(Rectangle())
    }
}
